# Monopoly Ledger

A Javascript tool to support more diverse rules for Monopoly not easy to implement with cash.

This project is in keeping with the original purpose of Monopoly's predecessor, The Landlord's Game, which was to demonstrate the effects of different economic rules. The use of a digital ledger also enables a far wider variety of rule-sets than would be possible with cash.

Created with the assistance of ChatGPT based on an original Python prototype.

## How to use

Download the entire repository and run MonopolyLedger.html locally in a browser.

## Possible rules

The following are example rule changes that can be tried up against the standard rules.

### Goals

* All players win when each player has built a hotel
* Collectively get a hotel on every buildable space
* Bankrupt the bank
* Everyone loses if you get below *x* Gini coefficient

### Rules

* Rents are paid to pot
* Rents are paid to all other players
* Pot distributed to a player who rolls doubles
* Land tax paid to all other players on passing go (percentage of total property values)
* Ban gifts and trades
* co-ownership of properties
* no money. You get what you land on and trade
* positive interest rates on cash
* negative interest rates on cash
* appreciation of property with time
* venture capital investments from bank or other players
    * extractive or ballooning payments demanding growth
* rule change vote
    * quadratic, 1p1v, consensus

## Citations

* [Coopoly](https://store.tesacollective.com/products/co-opoly-the-game-of-co-operatives) - "All players are on the same team and work together to start a cooperative business or organization and compete against the Point Bank"
* [Monopoly Ultimate Banking Edition](https://instructions.hasbro.com/en-us/instruction/Monopoly-Game--Ultimate-Banking-Edition) - Official Hasbro game with credit cards, electronic ledgers, variable rents, and boom and bust cycles
* [The Landlord's Game](https://landlordsgame.info/games/lg-1906/lg-1906_egc-rules.html) - The original version of Monopoly intended to teach Georgist idea, with several rule variants

## To do

* Do a game jam on alternative Monopoly rules, designing and testing them.
* Use movable boxes dashboard js thing to allow moving
    - https://gridstackjs.com/
* Rules tool
    * Enable initial and dynamic additions of rules atop standard rules
* Add link to Git, credit, and license in footer
* add Gini coefficients to balances for total wealth

